List checkouts
curl --request GET \
--url https://uat-secure.choosefloat.com/api/checkouts \
--header 'Authorization: Bearer <token>'import requests
url = "https://uat-secure.choosefloat.com/api/checkouts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://uat-secure.choosefloat.com/api/checkouts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Checkouts
List checkouts
GET /api/checkouts β paginated list of your checkouts.
GET
/
api
/
checkouts
List checkouts
Returns your merchantβs checkouts, newest first, paginated.
Attributes per item match Get a checkout. Follow
Rate limited to 1 request per minute β intended for back-office reconciliation. To track a specific payment, use get a checkout (5/minute) instead.
Request
Page to fetch.
Items per page.
curl "https://uat-secure.choosefloat.com/api/checkouts?page[number]=1&page[items]=25" \
-H "Authorization: Bearer $FLOAT_CLIENT_SECRET" -g
Response
200
{
"data": [
{
"id": "9b2f61c4-6c1e-4b7a-9a1d-3f2a8c0de111",
"type": "checkouts",
"attributes": {
"amount": 249900,
"currency": "GBP",
"status": "successful",
"created_at": "2026-07-17T10:30:00Z"
}
},
{
"id": "1f0c2a7e-8888-4c4c-9999-bb22cc33dd44",
"type": "checkouts",
"attributes": {
"amount": 129900,
"currency": "GBP",
"status": "cancelled",
"created_at": "2026-07-16T14:05:00Z"
}
}
],
"links": {
"first": "https://uat-secure.choosefloat.com/api/checkouts?page[number]=1&page[items]=25",
"last": "https://uat-secure.choosefloat.com/api/checkouts?page[number]=4&page[items]=25",
"prev": null,
"next": "https://uat-secure.choosefloat.com/api/checkouts?page[number]=2&page[items]=25"
}
}
links.next until itβs null.
Errors
| HTTP | When |
|---|---|
401 | Bad Bearer token |
429 | Rate limit exceeded |
βI